cURL
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/credit-grants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/credit-grants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/credit-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_grants": [
{
"amount_credits": 123,
"consumed_credits": 123,
"created_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"source_metadata": "<unknown>",
"starts_at": "2023-11-07T05:31:56Z",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exhausted_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"granted_by_user_id": 123
}
]
}Credit Grants
List Credit Grants
Credit grants awarded to an organization, most recent first.
GET
/
orgs
/
{org_id}
/
credit-grants
cURL
grants awarded to an organization, most recent first.
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Response
Credit grants for the organization
Show child attributes
Show child attributes
⌘I